View Issue Details

IDProjectCategoryView StatusLast Update
0002663GNUnettestbed servicepublic2014-04-08 16:42
ReporterSree Harsha TotakuraAssigned ToSree Harsha Totakura 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0002663: Implement underlay topology configurations
Descriptionshould implement underlay blacklists/whitelists along with link-specific metrics such as latency, loss and bandwidth-caps.
TagsNo tags attached.

Relationships

related to 0002673 closedMatthias Wachs Transport API should support setting various link metrics 

Activities

Sree Harsha Totakura

2014-01-08 23:00

developer   ~0007976

Underlay topologies are generated into a sqlite3 database file using `generate-underlay-topology` binary from testbed. This file is then configured into testbed configuration under `testbed-underlay` section. This file is read by `gnunet-daemon-testbed-underlay` for each peer and it configures underlay blacklisting. The daemon also reads latency values from the database, however the latency values are set to 0 by default when using `generate-underlay-topology`.

Issue History

Date Modified Username Field Change
2012-11-28 15:33 Sree Harsha Totakura New Issue
2012-11-28 15:33 Sree Harsha Totakura Status new => assigned
2012-11-28 15:33 Sree Harsha Totakura Assigned To => Sree Harsha Totakura
2012-11-29 11:08 Sree Harsha Totakura Relationship added related to 0002673
2012-12-06 19:17 Christian Grothoff Severity minor => feature
2013-07-13 21:19 Christian Grothoff Product Version => SVN HEAD
2013-07-13 21:19 Christian Grothoff Target Version => 0.10.1
2013-09-22 17:44 Christian Grothoff Target Version 0.10.1 =>
2013-11-17 12:29 Christian Grothoff Priority normal => high
2013-11-17 12:29 Christian Grothoff Target Version => 0.10.1
2014-01-08 23:00 Sree Harsha Totakura Note Added: 0007976
2014-01-08 23:00 Sree Harsha Totakura Status assigned => resolved
2014-01-08 23:00 Sree Harsha Totakura Fixed in Version => 0.10.1
2014-01-08 23:00 Sree Harsha Totakura Resolution open => fixed
2014-04-08 16:42 Christian Grothoff Status resolved => closed